Ubuntu

linux: 2.6.24-29.94 -proposed tracker

Reported by Herton R. Krzesinski on 2011-09-19
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Marc Deslauriers
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Hardy
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.24-29.94 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 19. September 2011 15:21 UTC
kernel-stable-Certification-testing-end:Monday, 19. September 2011 15:31 UTC
kernel-stable-Prepare-package-end:Tuesday, 20. September 2011 03:16 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 20. September 2011 03:16 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 21. September 2011 06:16 UTC
kernel-stable-Verification-testing-start:Wednesday, 21. September 2011 06:16 UTC
kernel-stable-Security-signoff-start:Friday, 23. September 2011 12:45 UTC
kernel-stable-Verification-testing-end:Friday, 23. September 2011 12:45 UTC
kernel-stable-Regression-testing-start:Friday, 23. September 2011 12:45 UTC
kernel-stable-Security-signoff-end:Friday, 23. September 2011 14:30 UTC
kernel-stable-Regression-testing-end:Thursday, 29. September 2011 22:30 UTC
kernel-stable-Promote-to-updates-start:Monday, 03. October 2011 15:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 04. October 2011 06:00 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 04. October 2011 06:00 UTC

tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: hardy
Changed in kernel-sru-workflow:
status: New → In Progress
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) on 2011-09-21
Changed in linux (Ubuntu):
status: In Progress → Invalid
description: updated
Herton R. Krzesinski (herton) wrote :

Verification for hardy ended earlier than expected (verification week is next week). Bug 790557 was the only one needing verification, which was updated/done yesterday by the reporter, everything else is CVE fixes.

description: updated
Marc Deslauriers (mdeslaur) wrote :

Looks good, thanks.

description: updated
C de-Avillez (hggdh2) wrote :

this kernel is also failing with a GPF -- see bug 862843. Tagging failed.

tags: added: qa-testing-failed

The bug was tagged as qa-testing-failed

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated
C de-Avillez (hggdh2) wrote :

Further analysis by Stephan shows the bug to be on AWS; re-tagging passed.

tags: added: qa-testing-passed
removed: qa-testing-failed
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.24-29.94

---------------
linux (2.6.24-29.94) hardy-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #853945

  [Upstream Kernel Changes]

  * ipv6: make fragment identifications less predictable, CVE-2011-2699
    - LP: #827685
    - CVE-2011-2699
  * splice: fix infinite loop in generic_file_splice_read()
    - LP: #790557
  * cifs: fix possible memory corruption in CIFSFindNext, CVE-2011-3191
    - LP: #834135
    - CVE-2011-3191
  * befs: ensure fast symlinks are NUL-terminated, CVE-2011-2928
    - LP: #834124
    - CVE-2011-2928
  * befs: Validate length of long symbolic links, CVE-2011-2928
    - LP: #834124
    - CVE-2011-2928
  * Validate size of EFI GUID partition entries, CVE-2011-1776
    - LP: #844365
    - CVE-2011-1776
  * inet_diag: fix inet_diag_bc_audit(), CVE-2011-2213
    - LP: #838421
    - CVE-2011-2213
  * Bluetooth: Prevent buffer overflow in l2cap config request,
    CVE-2011-2497
    - LP: #838423
    - CVE-2011-2497
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 19 Sep 2011 12:24:41 -0300

Changed in linux (Ubuntu Hardy):
status: New → Fix Released
Martin Pitt (pitti) wrote :

released to -updates/-security

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers